Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/yabsl/vsyabsl/service.cpp File Reference

`#include "service.h"`
`#include "parser.hpp"`

Include dependency graph for service.cpp:

Go to the source code of this file.

## Functions
HRESULT | CreateBabelService (out IBabelService **babelService)
## Variables
const char * | g_languageName = "YABSL Behavior Language"
const char * | g_languageFileExtensions [] = { ".yabsl", ".api", NULL }
const CLSID | g_languageCLSID = {0xA1B0A1B0,0xCAFE,0xBABE,{0xA1,0xB0,0xA1,0xB0,0xCA,0xFE,0xBA,0xBE}}
const LanguageProperty | g_languageProperties []

## Function Documentation

HRESULT CreateBabelService | ( | out IBabelService ** | babelService | ) |

| Definition at line 38 of file service.cpp. References OUTARG, and TRACE. Referenced by BabelServiceFactory::CreateInstance().

## Variable Documentation

const char* g_languageName = "YABSL Behavior Language"

| Definition at line 14 of file service.cpp. Referenced by DllMain(), RegisterServer(), and RegisterService().

const char* g_languageFileExtensions[] = { ".yabsl", ".api", NULL }

| Definition at line 15 of file service.cpp. Referenced by RegisterService().

const CLSID g_languageCLSID = {0xA1B0A1B0,0xCAFE,0xBABE,{0xA1,0xB0,0xA1,0xB0,0xCA,0xFE,0xBA,0xBE}}

| Definition at line 16 of file service.cpp. Referenced by DllGetClassObject(), RegisterServer(), and RegisterService().

const LanguageProperty g_languageProperties[]

| Initial value:
    {
      { "RequestStockColors", 1     },
      { "ShowCompletion",     1     },

      { "CodeSense",          1     },
      { "CodeSenseDelay",     1500  },
      { "MaxErrorMessages",   5     },
      { "QuickInfo",          1     },
      { "MatchBraces",        1     },
      { "SortMemberList",     1     },
      { "ShowMatchingBrace",  0     },
      { "MatchBracesAtCaret", 0     },

      { NULL, 0 }
    }
Definition at line 18 of file service.cpp. Referenced by RegisterService().